/**
 * Copyright Copyright 2008-14 Simon Andrews
 *
 *    This file is part of FocalPoint.
 *
 *    FocalPoint is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    FocalPoint is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with StackMeasure; if not, write to the Free Software
 *    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package uk.ac.bbsrc.babraham.FocalPoint.GUI.Thumbnail;

import ij.ImagePlus;

import java.awt.Dimension;
import java.io.File;
import java.io.IOException;

import javax.swing.JLabel;


public class NotAnImageThumbnailPanel extends ThumbnailPanel {

		
	public NotAnImageThumbnailPanel (FileDetailsPanel fileDetails) throws IncompatibleFileTypeException {
		super(fileDetails);
		add (new JLabel("[Not an Image]",JLabel.CENTER));
		deferLoading = false;
		setOpaque(false);
	
	}

	public void updateThumbnail() {
		setPreferredSize(new Dimension(thumbnailWidth,1));
		revalidate();
	}

	ImagePlus[] loadImages(File file) throws IOException {
		return null;
	}

	boolean isImage() {
		return false;
	}

	long getFileSize(File file) {
		return file.length();
	}

	boolean shouldDeferLoading(File file) {
		return false;
	}

	boolean canReadFile(File file) {
		return true;
	}

}